# Capítulo 9: Apresentando os Scripts no Bitcoin

Até o momento, estamos interagindo com o Bitcoin em um nível relativamente alto de abstração. O programa ```Bitcoin-cli``` oferece acesso a uma variedade de comandos RPC que suportam a criação e controle de transações brutas de Bitcoin que incluem saldos, dados, timelocks e multisigs.

No entanto, o Bitcoin oferece muito mais complexidade do que isso. O software oferece uma linguagem de script simples que pode ser usada para criar condições de resgate ainda mais complexas. Se as multisigs e os timelocks fornecerem as bases para os contratos inteligentes, o script do Bitcoin constrói os alicerces. É o próximo passo para nos capacitar no mundo do bitcoin.

## Objetivos deste capítulo

Depois de trabalhar neste capítulo, um desenvolvedor será capaz de:

   * Projetar um script do Bitcoin;
   * Aplicar um script do Bitcoin.
   
Os objetivos secundários do capítulo incluem a capacidade de:

   * Compreender o propósito dos scripts do Bitcoin;
   * Entender os script P2PKH;
   * Entender como o P2WPKH funciona com os scripts;
   * Compreender as necessidades dos testes dos scripts do bitcoin.
   
## Tabela de Conteúdo

* [Seção 1: Entendendo o alicerce das transações](09_1_PriveStanding_the_foundation_of_transactions.md)
* [Seção 2: Executando um script do Bitcoin](09_2_running_a_bitcoin_script.md)
* [Seção 3: Testando um script do Bitcoin](09_3_testing_a_bitcoin_script.md)
* [Seção 4: Criando um script P2PKH](09_4_scripting_a_p2pkh.md)
* [Seção 5: Criando um script P2WPKH](09_5_scripting_a_p2wpkh.md)